# $Revision: 1.16 $, $Date: 2007/01/09 17:55:16 $
Summary:	Data copying in presence of I/O errors
Summary(pl):	Kopiowanie danych z bdami wejcia/wyjcia
Name:		ddrescue
Version:	1.3
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://savannah.nongnu.org/download/ddrescue/%{name}-%{version}.tar.bz2
# Source0-md5:	36383fb7fa5c8c026ab9feaa262dfb1f
Patch0:		%{name}-info.patch
Patch1:		http://guru.multimedia.cx/wp-content/uploads/2006/08/ddrescue-patch.txt
URL:		http://www.nongnu.org/ddrescue/ddrescue.html
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ddrescue copies data from one file or block device (hard disk, cdrom,
etc) to another, trying hard to rescue data in case of read errors.

ddrescue does not truncate the output file if not asked to. So,
everytime you run it on the same output file, it tries to fill in the
gaps.

If you have two or more copies of a damaged file, cdrom, etc, and run
ddrescue on all of them, one at a time, with the same output file, you
will probably obtain a complete and error-free file. This is so
because the probability of having damaged areas at the same places on
different input files is very low.

If you also use the bad blocks file feature of ddrescue, the data will
be rescued very efficiently. Also you can interrupt the rescue at any
time and resume it later.

%description -l pl
ddrescue kopiuje dane z jednego pliku lub urzdzenia blokowego (dysku
twardego, pyty CD-ROM itp.) do innego, prbujc usilnie uratowa dane
w przypadku bdw odczytu.

ddrescue nie skraca pliku wyjciowego, jeli nie zostanie o to
poproszony. Za kadym uruchomieniem na tym samym pliku wyjciowym
prbuje wypeni luki.

Jeli mamy dwie lub wicej kopii uszkodzonego pliku, pyty itp. i
uruchomimy ddrescue na wszystkich z nich z tym samym plikiem
wyjciowym, prawdopodobnie dostaniemy cay plik bez bdw. Stanie si
tak dlatego, e prawdopodobiestwo uszkodzenia pliku w tych samych
miejscach na rnych kopiach jest bardzo mae.

Jeli uyjemy opcji obsugi pliku z list zych blokw w ddrescue dane
bd odzyskiwane bardzo wydajnie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ddrescue
%{_infodir}/*.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ddrescue.spec,v $
Revision 1.16  2007/01/09 17:55:16  glen
- ascii art patch from http://guru.multimedia.cx/ddrescue/; rel 2

Revision 1.15  2006/12/19 22:32:01  areq
- 1.3

Revision 1.14  2006/04/30 07:39:39  adamg
- updated to 1.2

Revision 1.13  2005/10/13 07:58:21  darekr
- kill empty TODO from %doc

Revision 1.12  2005/10/13 07:33:00  paszczus
- updated to 1.1
- updated ddrescue-info.patch

Revision 1.11  2005/06/08 15:59:22  paszczus
- updated to 1.0 ; STBR

Revision 1.10  2005/01/07 22:45:04  qboosh
- added info patch (unify INFO-DIR-SECTION); release 3

Revision 1.9  2005/01/07 22:40:43  qboosh
- rpmcxxflags needs macros 1.167

Revision 1.8  2005/01/07 15:27:17  pluto
- license updated.
- release 2.
- STBR.

Revision 1.7  2005/01/07 15:25:26  pluto
- BR(libstdc++-devel) added.

Revision 1.6  2005/01/07 15:11:31  pluto
- build/install fixed.

Revision 1.5  2005/01/07 08:51:03  kolodko
- up to 0.9 by Pawe Cyranek <czucz (at) mag-net.one.pl>

Revision 1.4  2004/12/26 19:46:11  darekr
- updated to 0.8

Revision 1.3  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.2  2004/11/04 20:00:33  qboosh
- desc fix (from README), pl

Revision 1.1  2004/11/04 11:55:08  areq
- init PLD spec
